Livepush Developers

Accounts

Get user subscriptions

GET https://squid.livepush.io/account/subscriptions

Base URL https://squid.livepush.io — Accounts API server

Returns a list of active and historical subscriptions associated with the authenticated user account.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

GET https://squid.livepush.io/account/subscriptions — This call only reads data.

Code samples

request.sh
curl -X GET 'https://squid.livepush.io/account/subscriptions' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://squid.livepush.io/account/subscriptions', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.get('https://squid.livepush.io/account/subscriptions', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

List of account subscriptions

application/json

Array of object.

  • id string
  • category string
  • startTime string<date-time>
  • endTime string<date-time>
  • updatedAt string<date-time>
  • plan object
    • id string
    • name string
    • category string
    • description string
    • cost number
    • planDuration integer
    • isPublic boolean
    • features object[]
      3 nested fields
      • key string
      • value number | string
      • category string
    • grants object
Example 200 response response.json
[
  {
    "id": "AzyzaQV4rbNdSXKQ",
    "category": "simulcast",
    "startTime": "2026-01-31T09:00:00.000Z",
    "endTime": "2026-01-31T09:00:00.000Z",
    "updatedAt": "2026-01-31T09:00:00.000Z",
    "plan": {
      "id": "plan_editors_monthly",
      "name": "Editors Plan",
      "category": "simulcast",
      "description": "Best for broadcasters and media teams",
      "cost": 39,
      "planDuration": 30,
      "isPublic": true,
      "features": [
        {
          "key": "destinations",
          "value": 0,
          "category": "simulcast"
        }
      ],
      "grants": {}
    }
  }
]

Unauthorized